Package be.fgov.ehealth.ehbox.core.v3

# Class ErrorType

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.ErrorType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class ErrorType extends Object implements Serializable
Specifies content of a Error notification

Java class for ErrorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
             <choice minOccurs="0">
               <element name="Destination" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType" maxOccurs="unbounded"/>
               <element name="Failure" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
             </choice>
           </sequence>
           <attribute name="PublicationId" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `List<EhboxIdentifierType>`
  `getDestinations()`
  Gets the value of the destinations property.
  `List<String>`
  `getFailures()`
  General purpose element Gets the value of the failures property.
  `List<String>`
  `getMessages()`
  English plain text explanation Gets the value of the messages property.
  `String`
  `getPublicationId()`
  Unique number identifying the message in error.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setPublicationId(String value)`
  Sets the value of the publicationId property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorType

    public ErrorType()

- ## Method Details

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessages

    public List<String> getMessages()
    English plain text explanation Gets the value of the messages property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messages property.

    For example, to add a new item, do as follows:

         getMessages().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the messages property.

  - ### getFailures

    public List<String> getFailures()
    General purpose element Gets the value of the failures property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the failures property.

    For example, to add a new item, do as follows:

         getFailures().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the failures property.

  - ### getDestinations

    public List<EhboxIdentifierType> getDestinations()
    Gets the value of the destinations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the destinations property.

    For example, to add a new item, do as follows:

         getDestinations().add(newItem);

    Objects of the following type(s) are allowed in the list `EhboxIdentifierType`

    Returns:
      The value of the destinations property.

  - ### getPublicationId

    public String getPublicationId()
    Unique number identifying the message in error.
    Returns:
      possible object is `String`

  - ### setPublicationId

    public void setPublicationId(String value)
    Sets the value of the publicationId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPublicationId()`